Subject: 24.0.90; gdb-version only set in non-stop mode
From: Ken Brown <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 23 Oct 2011 18:33:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The variable gdb-version is set in the function gdb-non-stop-handler, 
which is only called if gdb-non-stop is non-nil.  Given that 
gdb-non-stop-setting is customizable and may well be set to nil, 
wouldn't it make more sense to get the version some other way?  For 
instance, there's a GDB/MI command -gdb-version that could be used.

Also, the -enable-pretty-printing command is sent from 
gdb-non-stop-handler and so is only sent if gdb-non-stop is non-nil.  Is 
there a reason pretty-printing should only be enabled in non-stop mode.

Ken